PSKB_PUT(9)

NAME
pskb_put - add data to the tail of a potentially fragmented buffer

SYNOPSIS

unsigned char * pskb_put(struct sk_buff * skb, struct sk_buff * tail, int len);

ARGUMENTS

skb
    start of the buffer to use

tail
    tail fragment of the buffer to use

len
    amount of data to add

DESCRIPTION

This function extends the used data area of the potentially fragmented buffer. tail must be the last fragment of skb -- or skb itself. If this would exceed the total buffer size the kernel will panic. A pointer to the first byte of the extra data is returned.

COPYRIGHT